import { RhamtConfiguration, Clone } from './model';
import { Protocol } from './protocol/protocol';
import { rhamtEvents } from './events';
export interface ConfigurationService {
    onAnalysisChange: rhamtEvents.TypedEvent<{
        config: RhamtConfiguration;
        state: number;
        data?: any;
        analysis?: Protocol.Analysis;
    }>;
    promptInput(): Promise<any>;
    clone(config: RhamtConfiguration, repo: string): Promise<Clone | undefined>;
    installCli(config: RhamtConfiguration, url: string, downloadDir: string): void;
}
export interface RhamtChannel {
    print(text: string): void;
}
