"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Protocol;
(function (Protocol) {
    class InstallableServer {
        constructor() {
            this.id = '';
            this.name = '';
            this.release = false;
            this.label = '';
            this.version = '';
            this.build = '';
            this.buildId = '';
            this.description = '';
            this.vendor = '';
            this.url = '';
            this.addedTimestamp = '';
        }
    }
    Protocol.InstallableServer = InstallableServer;
    class JVM {
        constructor() {
            this.id = '';
            this.name = '';
            this.location = '';
            this.version = '';
        }
    }
    Protocol.JVM = JVM;
    let ServerState;
    (function (ServerState) {
        ServerState.UNKNOWN = 0;
        ServerState.STARTING = 1;
        ServerState.STARTED = 2;
        ServerState.RUNNING = 3;
        ServerState.STOPPING = 4;
        ServerState.STOPPED = 5;
        ServerState.ANALYZING = 6;
        ServerState.PREPARING_INSTALLATION = 7;
        ServerState.INSTALLING = 8;
        ServerState.INSTALLED = 9;
        ServerState.UNINSTALLING = 10;
        ServerState.UNINSTALLED = 11;
        ServerState.DELETING = 12;
        ServerState.DELETED = 13;
    })(ServerState = Protocol.ServerState || (Protocol.ServerState = {}));
})(Protocol = exports.Protocol || (exports.Protocol = {}));
//# sourceMappingURL=protocol.js.map